> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Multiple ways to install and run Flipt on your own infrastructure

Flipt is a single binary that can be run on any Linux or macOS (arm64) host. You can install and try out Flipt in a few different ways:

<CodeGroup>
  ```console Binary theme={null}
  curl -fsSL https://get.flipt.io/install | sh
  ```

  ```console Docker theme={null}
  docker run -d \
      -p 8080:8080 \
      -p 9000:9000 \
      -v $HOME/flipt:/var/opt/flipt \
      docker.flipt.io/flipt/flipt:latest
  ```

  ```console Kubernetes/Helm theme={null}
  helm repo add flipt https://helm.flipt.io
  helm install flipt flipt/flipt
  ```

  ```console Homebrew theme={null}
  brew install flipt-io/brew/flipt
  ```
</CodeGroup>

For more details on each installation method, see the sections below.

* [Docker](/v1/installation/docker)
* [Kubernetes](/v1/installation/kubernetes)
* [Homebrew](#homebrew)
* [Binary](#binary)

## Homebrew

You can install Flipt using [Homebrew](https://brew.sh/) on macOS and Linux.

Flipt runs as a service and is managed by [Homebrew Services](https://github.com/Homebrew/homebrew-services). This means you can start and stop Flipt using the `brew services` command.

### Installing

```console theme={null}
brew install flipt-io/brew/flipt
```

### Running

```console theme={null}
brew services start flipt
```

Alternatively, you can start Flipt in the foreground using:

```console theme={null}
flipt
```

## Binary

You can always download the latest release archive of Flipt from the
[Releases](https://github.com/flipt-io/flipt/releases) section on GitHub.

### Installing

You can use the following script to download and install the latest Flipt binary:

```console theme={null}
curl -fsSL https://get.flipt.io/install | sh
```

This will install Flipt to `/usr/local/bin/flipt` on Mac and Linux systems.

View the [install.sh](https://github.com/flipt-io/flipt/blob/main/install.sh) source for more details.

### Running

Run the Flipt binary with:

```console theme={null}
flipt [--config OPTIONAL_PATH_TO_YOUR_CONFIG]
```

Flipt will check in a few different locations for server configuration (in order):

1. `--config` flag as an override
2. `{{ USER_CONFIG_DIR }}/flipt/config.yml` (the `USER_CONFIG_DIR` value is based on your architecture and specified in the [Go documentation](https://pkg.go.dev/os#UserConfigDir))
3. `/etc/flipt/config/default.yml`

See the [Configuration](/v1/configuration) section for more details.

## Supported Architectures

Flipt is built for the following architectures/os:

* **x86-64** / **Linux**
* **ARM64** / **Linux**
* **x86-64** / **Darwin/MacOS**
* **ARM64** / **Darwin/MacOS**

You can find the binaries for each architecture in the [Latest Release](https://github.com/flipt-io/flipt/releases/latest) assets section on GitHub.

The [Docker image](https://hub.docker.com/r/flipt/flipt/tags) for Flipt is multi-arch and supports both **x86-64** and **ARM64** architectures on **Linux**.

If you need a different architecture, please open an issue on the [GitHub repository](https://github.com/flipt-io/flipt/issues) and we will try to accommodate your request.
